Image::Info::XBM(3)

NAME
Image::Info::XBM - XBM support for Image::Info

SYNOPSIS
 use Image::Info qw(image_info dim);

 my $info = image_info("image.xbm");
 if (my $error = $info->{error}) {
     die "Can't parse image info: $error\n";
 }
 my $color = $info->{color_type};

 my($w, $h) = dim($info);

DESCRIPTION
This modules supplies the standard key names except for Compression, Gamma, Interlace, LastModificationTime, as well as:

HotSpotX
    The x-coord of the image's hotspot. Set to -1 if there is no hotspot.

HotSpotY
    The y-coord of the image's hotspot. Set to -1 if there is no hotspot.

L1D_Histogram
    Reference to an array representing a one dimensional luminance histogram. This key is only present if "image_info" is invoked as "image_info($file, L1D_Histogram=>1)". The range is from 0 to 1.

METHODS

  process_file()
        $info->process_file($source, $options);

Processes one file and sets the found info fields in the $info object.

AUTHOR

FILES
This module requires Image::Xbm

SEE ALSO
Image::Info, Image::Xbm

NOTES
For more information about XBM see <http://www.martinreddy.net/gfx/2d/XBM.txt>.

AUTHOR
Jerrad Pierce <belg4mit@mit.edu>/<webmaster@pthbb.org>

Tels - (c) 2006

Current maintainer: Slaven Rezic <srezic@cpan.org>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.